Name:           libocxl
Version:        1.0.0
Release:        1%{?dist}
Summary:        Allows to implement a user-space driver for an OpenCAPI accelerator

License:        ASL 2.0
URL:            https://github.com/OpenCAPI/libocxl
Source0:        https://github.com/OpenCAPI/libocxl/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        ocxl.h

ExclusiveArch:  ppc64le

BuildRequires:  doxygen

%description
Access library which allows to implement a user-space
driver for an OpenCAPI accelerator.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%package        docs
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description    devel
The *-devel package contains header file and man pages for
developing applications that use %{name}.

%description    docs
The *-docs package contains doxygen pages for
developing applications that use %{name}.

%prep
%autosetup -p1

mkdir -p kernel/include/misc
cp -p %{SOURCE1} kernel/include/misc/

%build
CFLAGS="%{optflags} --std=gnu11" make %{?_smp_mflags} V=1

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%doc README.md
%{_libdir}/libocxl.so.*

%files devel
%{_includedir}/*
%{_libdir}/libocxl.so
%{_mandir}/man3/*

%files docs
%doc %{_docdir}/%{name}/

%changelog
* Thu Jun 07 2018 Dan Horák <dan[at]danny.cz> - 1.0.0-1
- updated to 1.0.0 final

* Tue Apr 10 2018 michel normand <normand@linux.vnet.ibm.com> 1.0.0-0.1
- new package and spec file of libocxl from upstream
  url: https://github.com/OpenCAPI/libocxl
